For the complete documentation index, see llms.txt. This page is also available as Markdown.

Image Optimization & WebP

Update Image Optimization

put

Enable or disable Image Optimization for the specified resource. This setting is supported for Small and Dynamic (Aksela) resource types.

Note: The resource_uuid value in the request body must match the {resource_uuid} path parameter.

Path parameters
organization_uuidstringRequired

Organization UUID.

resource_uuidstringRequired

Resource UUID.

Body
resource_uuidstringRequired

Resource UUID.

image_optimizationbooleanRequired

Set to true to enable Image Optimization, or false to disable it.

Responses
200

Image Optimization setting updated successfully.

application/json
statusbooleanOptional

Indicates whether the operation was successful.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
PUT /api/v1/cdn/{organization_uuid}/resource/{resource_uuid} HTTP/1.1
Host: cloud.medianova.com
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "resource_uuid": "****-****-****-*****",
  "image_optimization": true
}
200

Image Optimization setting updated successfully.

{
  "status": true,
  "data": {
    "resource_uuid": "****-****-****-*****",
    "resource_name": "test.sm",
    "resource_type": "small",
    "resource_label": null,
    "resource_platform_type": "cache",
    "cdn_url": "test.sm.mncdn.com",
    "protocol": "",
    "origin_url": null,
    "origin_type": "mainstream",
    "origin_settings": [
      {
        "id": 1,
        "weight": 50,
        "priority": "primary",
        "protocol": "http",
        "http_port": 80,
        "https_port": 443,
        "origin_url": "ascascasc.com",
        "host_header": null
      }
    ],
    "advanced_origin_settings": [],
    "status": "active",
    "updating_status": "up_to_date",
    "created_at": "2025-08-06T11:39:51.000000Z",
    "updated_at": "2025-08-07T10:40:46.000000Z",
    "ssl_status": true,
    "ssl_type": "shared_ssl",
    "ssl_uuid": null,
    "ssl_name": null,
    "status_geo_blocking": false,
    "geo_blocking_details": {
      "type": "allow",
      "status": true,
      "label": "",
      "geo_block_403_url": "",
      "method": "default",
      "whitelist_ip": [],
      "blacklist_ip": [],
      "whitelist_countries": [],
      "blacklist_countries": [],
      "start_date": "",
      "end_date": "",
      "pull_from_origin_header": false
    },
    "status_ip_restriction_acl": 0,
    "ip_restriction_acl": [],
    "data_source": "origin",
    "origin_response_timeout": 30,
    "tls_version": [
      "tlsv1.2",
      "tlsv1.3"
    ],
    "origin_sni_request_status": false,
    "origin_sni_request_domain": null,
    "status_http3_support": false,
    "server_name": null,
    "http2": true,
    "cname": [],
    "brotli": false,
    "origin_host_header": [],
    "origin_source_auth_info": {
      "status": false,
      "auth_username": "",
      "auth_password": ""
    },
    "status_secure_token": false,
    "secure_token": "",
    "secure_token_uri": false,
    "secure_token_network_rate_limit_bypass": false,
    "status_share_cache": "default",
    "share_cache": null,
    "status_x_cdn_header": false,
    "wss_status": false,
    "wss_timeout": null,
    "x_cdn_header": null,
    "status_full_purge_permission": false,
    "status_user_agent_acl": false,
    "user_agent_acl": [],
    "stale_caching": [
      "error",
      "timeout",
      "invalid_header",
      "http_500",
      "http_502",
      "http_503",
      "http_504"
    ],
    "browser_cache_rules": [
      {
        "id": 1,
        "type": "all_files",
        "content": [],
        "priority": 1,
        "directive": [],
        "cache_mode": "origin",
        "exact_match": false
      }
    ],
    "browser_cache_with_html": 0,
    "custom_error_pages_status": false,
    "custom_error_pages": [],
    "status_https_force": false,
    "https_force_redirect_code": "302",
    "force_https_reverse": false,
    "status_redirect_handle": false,
    "handle_origin_rejection_error": null,
    "redirect_handle_request_headers": [],
    "redirect_handle_add_headers": [],
    "gzip_text_types": [
      "text/x-component",
      "application/octet-stream",
      "text/plain",
      "text/css",
      "application/javascript",
      "application/x-javascript",
      "application/json",
      "text/xml",
      "application/xml",
      "application/rss+xml",
      "text/javascript",
      "application/atom+xml",
      "application/rdf+xml",
      "application/vnd.ms-fontobject",
      "application/x-font",
      "application/x-font-opentype",
      "application/x-font-otf",
      "application/x-font-truetype",
      "application/x-font-ttf",
      "application/xhtml+xml",
      "font/opentype",
      "font/otf",
      "font/ttf",
      "image/svg+xml",
      "image/x-icon",
      "application/x-www-form-urlencoded",
      "font/woff",
      "font/woff2",
      "application/dash+xml",
      "application/x-mpegURL"
    ],
    "gzip_image_types": [
      "image/png",
      "image/gif",
      "image/jpeg"
    ],
    "brotli_types": [
      "text/plain",
      "text/css",
      "application/javascript",
      "application/x-javascript",
      "application/json",
      "text/xml",
      "application/xml",
      "application/rss+xml",
      "text/javascript",
      "application/atom+xml",
      "application/rdf+xml",
      "application/vnd.ms-fontobject",
      "application/x-font",
      "application/x-font-opentype",
      "application/x-font-otf",
      "application/x-font-truetype",
      "application/x-font-ttf",
      "application/xhtml+xml",
      "font/opentype",
      "font/otf",
      "font/ttf",
      "text/x-component",
      "application/octet-stream",
      "application/x-www-form-urlencoded",
      "font/woff",
      "font/woff2",
      "image/svg+xml"
    ],
    "rewrite_origin_settings": [],
    "status_code_cache": [],
    "status_etag_verification": true,
    "etag_verification_type": "default",
    "status_rate_limit": false,
    "rate_limit": {
      "zone_size": 1,
      "request_count": 200,
      "request_type": "s",
      "options": "no_delay",
      "burst_value": 50,
      "source": "remote_addr",
      "source_query_string": null,
      "status_whitelist_ips": false,
      "whitelist_ips": null,
      "status_code": 429
    },
    "shared_domain": false,
    "collapse_white_space": false,
    "insert_dns_prefetch": false,
    "defer_javascript": false,
    "remove_comments": false,
    "rewrite_css": false,
    "combine_css": false,
    "rewrite_js": false,
    "combine_js": false,
    "convert_meta_tags": false,
    "inline_import_to_link": false,
    "encrypted_cache_key": false,
    "http_two_push_status": true,
    "http_two_push_uri": [],
    "status_bot_protection": false,
    "gzip_text": false,
    "gzip_image": false,
    "image_optimization": false,
    "webp": false,
    "avif": false,
    "cache_type": "edge",
    "edge_cache_expiry": 8,
    "edge_cache_unit": "d",
    "status_browser_cache": true,
    "browser_cache_expiry": 1,
    "browser_cache_unit": "origin",
    "browser_cache_time_with_html": false,
    "cache_control_directive": [],
    "status_qs": "on",
    "status_qs_cache_ignore": false,
    "qs_cache_ignore_param": [],
    "status_cqs": false,
    "cqs_args": [],
    "status_robot_txt": "origin",
    "status_redirect_root": false,
    "redirect_root_code": false,
    "status_cors_header": "off",
    "dynamic_page_cache": false,
    "cors_domains": [],
    "status_custom_headers": false,
    "custom_headers": [],
    "status_x_xss_protection": false,
    "status_x_content_type": false,
    "status_hsts_protection": false,
    "include_sub_domains": false,
    "preload": false,
    "max_age_time": "3600",
    "trusted_domains": [],
    "status_hl_protection": false,
    "hl_protection_type": "whitelist",
    "hl_protection_domains": [],
    "include_blank_referer": true,
    "default_rule_geo_blocking_status": false,
    "status_x_frame": false,
    "40x_cache_expiry": null,
    "40x_cache_unit": null,
    "50x_cache_expiry": null,
    "50x_cache_unit": null,
    "status_file_extension": true,
    "page_rule": [
      {
        "rule_id": 1,
        "file_path": "",
        "file_extension": [
          "woff",
          "woff2",
          "ttf",
          "svg",
          "eot",
          "otf"
        ],
        "sec_link_status": true,
        "exact_match": false,
        "status_hl_protection": true,
        "hl_protection_used_type": "default",
        "hl_protection_type": "whitelist",
        "hl_protection_domains": [],
        "include_blank_referer": true,
        "geo_block": true,
        "cache_type": "edge",
        "edge_cache_expiry": 8,
        "edge_cache_unit": "d",
        "custom_header_status": true,
        "custom_header_used_type": "default",
        "custom_header": [],
        "downloadable_query_string_header_status": false,
        "downloadable_query_string_header": [],
        "security_headers": true,
        "security_header_used_type": "default",
        "security_header_details": {
          "x_xss_protection": false,
          "http_strict_transport_security": false,
          "x_frame_options": false,
          "x_content_type_options": false,
          "trusted_domains": [],
          "max_age_time": "3600",
          "sub_domains": false,
          "preload": false
        },
        "status_range_based_caching": true,
        "range_based_caching_value": "512k",
        "status_qs": "on",
        "status_qs_cache_ignore": false,
        "qs_cache_ignore_param": [],
        "status_cqs": false,
        "cqs_args": [],
        "options_request": false,
        "allow_origin": "off",
        "allow_origin_domain": []
      }
    ],
    "status_ignore_set_cookie": false,
    "status_mobile_request_header": false,
    "status_mobile_redirect": false,
    "status_mr_force_user_agent": false,
    "status_mr_keep_path": null,
    "mr_type": null,
    "mr_url": null,
    "cookie_base_cache_status": false,
    "cookie_base_cache": [],
    "allow_cookie_base_cache_status": false,
    "allow_cookie_base_cache": [],
    "exclude_cache": [],
    "status_proxy_cache_key_prefix": false,
    "status_network_rate_limit": false,
    "network_rate_limit": {
      "rate_limit": 0,
      "rate_limit_unit": "m",
      "rate_limit_after": 0,
      "rate_limit_after_unit": "m"
    },
    "status_range_based_caching": false,
    "range_based_caching_value": "512k"
  }
}

Update WebP Optimization

put

Enable or disable WebP Optimization for the specified resource. This setting is supported for Small and Dynamic (Aksela) resource types.

Note: The resource_uuid value in the request body must match the {resource_uuid} path parameter.

Path parameters
organization_uuidstringRequired

Organization UUID.

resource_uuidstringRequired

Resource UUID.

Body
webpbooleanRequired

Set to true to enable WebP Optimization, or false to disable it.

Example: true
resource_uuidstringRequired

Resource UUID.

Example: ****-****-****-****
Responses
200

WebP Optimization setting updated successfully.

application/json
statusbooleanOptional

Indicates whether the operation was successful.

Example: true
dataobjectOptional

Updated resource details.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
PUT /api/v1/cdn/{organization_uuid}/resource/{resource_uuid} HTTP/1.1
Host: cloud.medianova.com
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "webp": true,
  "resource_uuid": "****-****-****-****"
}
200

WebP Optimization setting updated successfully.

{
  "status": true,
  "data": {}
}

Update Gzip Image Compression

put

Enable or disable Gzip Image Compression for the specified resource. This setting is supported for Small, Large, Dynamic (Aksela), and Streaming resource types.

Note: The resource_uuid value in the request body must match the {resource_uuid} path parameter.

Path parameters
organization_uuidstringRequired

Organization UUID.

Example: ****-****-****-****
resource_uuidstringRequired

Resource UUID.

Example: ****-****-****-****
Body
gzip_imagebooleanOptional

Set to true to enable Gzip Image Compression, or false to disable it.

Example: true
resource_uuidstringOptional

Resource UUID.

Example: ****-****-****-****
Responses
200

Gzip Image Compression setting updated successfully.

application/json
statusbooleanOptional

Indicates whether the operation was successful.

Example: true
dataobjectOptional

Updated resource details.

put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
PUT /api/v1/cdn/{organization_uuid}/resource/{resource_uuid} HTTP/1.1
Host: cloud.medianova.com
Content-Type: application/json
Accept: */*
Content-Length: 109

{
  "gzip_image": true,
  "resource_uuid": "****-****-****-****",
  "gzip_image_types": [
    "image/png",
    "image/jpeg",
    "gif"
  ]
}
{
  "status": true,
  "data": {}
}

Update Brotli Compression

put

Enable or disable Brotli Compression for the specified resource. This setting is supported for Small, Large, and Dynamic (Aksela) resource types.

Note: The resource_uuid value in the request body must match the {resource_uuid} path parameter.

Path parameters
organization_uuidstringRequired

Organization UUID.

Example: ****-****-****-****
resource_uuidstringRequired

Resource UUID.

Example: ****-****-****-****
Body
brotlibooleanRequired

Set to true to enable Brotli Compression, or false to disable it.

Example: true
resource_uuidstringRequired

Resource UUID.

Example: ****-****-****-****
Responses
200

Brotli Compression setting updated successfully.

application/json
statusbooleanOptional

Indicates whether the operation was successful.

Example: true
put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
PUT /api/v1/cdn/{organization_uuid}/resource/{resource_uuid} HTTP/1.1
Host: cloud.medianova.com
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "brotli": true,
  "resource_uuid": "****-****-****-****"
}
200

Brotli Compression setting updated successfully.

{
  "status": true,
  "data": {
    "resource_uuid": "****-****-****-*****",
    "resource_name": "test.sm",
    "resource_type": "small",
    "resource_label": null,
    "resource_platform_type": "cache",
    "cdn_url": "test.sm.mncdn.com",
    "protocol": "",
    "origin_url": null,
    "origin_type": "mainstream",
    "origin_settings": [
      {
        "id": 1,
        "weight": 50,
        "priority": "primary",
        "protocol": "http",
        "http_port": 80,
        "https_port": 443,
        "origin_url": "ascascasc.com",
        "host_header": null
      }
    ],
    "advanced_origin_settings": [],
    "status": "active",
    "updating_status": "up_to_date",
    "created_at": "2025-08-06T11:39:51.000000Z",
    "updated_at": "2025-08-07T10:40:46.000000Z",
    "ssl_status": true,
    "ssl_type": "shared_ssl",
    "ssl_uuid": null,
    "ssl_name": null,
    "status_geo_blocking": false,
    "geo_blocking_details": {
      "type": "allow",
      "status": true,
      "label": "",
      "geo_block_403_url": "",
      "method": "default",
      "whitelist_ip": [],
      "blacklist_ip": [],
      "whitelist_countries": [],
      "blacklist_countries": [],
      "start_date": "",
      "end_date": "",
      "pull_from_origin_header": false
    },
    "status_ip_restriction_acl": 0,
    "ip_restriction_acl": [],
    "data_source": "origin",
    "origin_response_timeout": 30,
    "tls_version": [
      "tlsv1.2",
      "tlsv1.3"
    ],
    "origin_sni_request_status": false,
    "origin_sni_request_domain": null,
    "status_http3_support": false,
    "server_name": null,
    "http2": true,
    "cname": [],
    "brotli": false,
    "origin_host_header": [],
    "origin_source_auth_info": {
      "status": false,
      "auth_username": "",
      "auth_password": ""
    },
    "status_secure_token": false,
    "secure_token": "",
    "secure_token_uri": false,
    "secure_token_network_rate_limit_bypass": false,
    "status_share_cache": "default",
    "share_cache": null,
    "status_x_cdn_header": false,
    "wss_status": false,
    "wss_timeout": null,
    "x_cdn_header": null,
    "status_full_purge_permission": false,
    "status_user_agent_acl": false,
    "user_agent_acl": [],
    "stale_caching": [
      "error",
      "timeout",
      "invalid_header",
      "http_500",
      "http_502",
      "http_503",
      "http_504"
    ],
    "browser_cache_rules": [
      {
        "id": 1,
        "type": "all_files",
        "content": [],
        "priority": 1,
        "directive": [],
        "cache_mode": "origin",
        "exact_match": false
      }
    ],
    "browser_cache_with_html": 0,
    "custom_error_pages_status": false,
    "custom_error_pages": [],
    "status_https_force": false,
    "https_force_redirect_code": "302",
    "force_https_reverse": false,
    "status_redirect_handle": false,
    "handle_origin_rejection_error": null,
    "redirect_handle_request_headers": [],
    "redirect_handle_add_headers": [],
    "gzip_text_types": [
      "text/x-component",
      "application/octet-stream",
      "text/plain",
      "text/css",
      "application/javascript",
      "application/x-javascript",
      "application/json",
      "text/xml",
      "application/xml",
      "application/rss+xml",
      "text/javascript",
      "application/atom+xml",
      "application/rdf+xml",
      "application/vnd.ms-fontobject",
      "application/x-font",
      "application/x-font-opentype",
      "application/x-font-otf",
      "application/x-font-truetype",
      "application/x-font-ttf",
      "application/xhtml+xml",
      "font/opentype",
      "font/otf",
      "font/ttf",
      "image/svg+xml",
      "image/x-icon",
      "application/x-www-form-urlencoded",
      "font/woff",
      "font/woff2",
      "application/dash+xml",
      "application/x-mpegURL"
    ],
    "gzip_image_types": [
      "image/png",
      "image/gif",
      "image/jpeg"
    ],
    "brotli_types": [
      "text/plain",
      "text/css",
      "application/javascript",
      "application/x-javascript",
      "application/json",
      "text/xml",
      "application/xml",
      "application/rss+xml",
      "text/javascript",
      "application/atom+xml",
      "application/rdf+xml",
      "application/vnd.ms-fontobject",
      "application/x-font",
      "application/x-font-opentype",
      "application/x-font-otf",
      "application/x-font-truetype",
      "application/x-font-ttf",
      "application/xhtml+xml",
      "font/opentype",
      "font/otf",
      "font/ttf",
      "text/x-component",
      "application/octet-stream",
      "application/x-www-form-urlencoded",
      "font/woff",
      "font/woff2",
      "image/svg+xml"
    ],
    "rewrite_origin_settings": [],
    "status_code_cache": [],
    "status_etag_verification": true,
    "etag_verification_type": "default",
    "status_rate_limit": false,
    "rate_limit": {
      "zone_size": 1,
      "request_count": 200,
      "request_type": "s",
      "options": "no_delay",
      "burst_value": 50,
      "source": "remote_addr",
      "source_query_string": null,
      "status_whitelist_ips": false,
      "whitelist_ips": null,
      "status_code": 429
    },
    "shared_domain": false,
    "collapse_white_space": false,
    "insert_dns_prefetch": false,
    "defer_javascript": false,
    "remove_comments": false,
    "rewrite_css": false,
    "combine_css": false,
    "rewrite_js": false,
    "combine_js": false,
    "convert_meta_tags": false,
    "inline_import_to_link": false,
    "encrypted_cache_key": false,
    "http_two_push_status": true,
    "http_two_push_uri": [],
    "status_bot_protection": false,
    "gzip_text": false,
    "gzip_image": false,
    "image_optimization": false,
    "webp": false,
    "avif": false,
    "cache_type": "edge",
    "edge_cache_expiry": 8,
    "edge_cache_unit": "d",
    "status_browser_cache": true,
    "browser_cache_expiry": 1,
    "browser_cache_unit": "origin",
    "browser_cache_time_with_html": false,
    "cache_control_directive": [],
    "status_qs": "on",
    "status_qs_cache_ignore": false,
    "qs_cache_ignore_param": [],
    "status_cqs": false,
    "cqs_args": [],
    "status_robot_txt": "origin",
    "status_redirect_root": false,
    "redirect_root_code": false,
    "status_cors_header": "off",
    "dynamic_page_cache": false,
    "cors_domains": [],
    "status_custom_headers": false,
    "custom_headers": [],
    "status_x_xss_protection": false,
    "status_x_content_type": false,
    "status_hsts_protection": false,
    "include_sub_domains": false,
    "preload": false,
    "max_age_time": "3600",
    "trusted_domains": [],
    "status_hl_protection": false,
    "hl_protection_type": "whitelist",
    "hl_protection_domains": [],
    "include_blank_referer": true,
    "default_rule_geo_blocking_status": false,
    "status_x_frame": false,
    "40x_cache_expiry": null,
    "40x_cache_unit": null,
    "50x_cache_expiry": null,
    "50x_cache_unit": null,
    "status_file_extension": true,
    "page_rule": [
      {
        "rule_id": 1,
        "file_path": "",
        "file_extension": [
          "woff",
          "woff2",
          "ttf",
          "svg",
          "eot",
          "otf"
        ],
        "sec_link_status": true,
        "exact_match": false,
        "status_hl_protection": true,
        "hl_protection_used_type": "default",
        "hl_protection_type": "whitelist",
        "hl_protection_domains": [],
        "include_blank_referer": true,
        "geo_block": true,
        "cache_type": "edge",
        "edge_cache_expiry": 8,
        "edge_cache_unit": "d",
        "custom_header_status": true,
        "custom_header_used_type": "default",
        "custom_header": [],
        "downloadable_query_string_header_status": false,
        "downloadable_query_string_header": [],
        "security_headers": true,
        "security_header_used_type": "default",
        "security_header_details": {
          "x_xss_protection": false,
          "http_strict_transport_security": false,
          "x_frame_options": false,
          "x_content_type_options": false,
          "trusted_domains": [],
          "max_age_time": "3600",
          "sub_domains": false,
          "preload": false
        },
        "status_range_based_caching": true,
        "range_based_caching_value": "512k",
        "status_qs": "on",
        "status_qs_cache_ignore": false,
        "qs_cache_ignore_param": [],
        "status_cqs": false,
        "cqs_args": [],
        "options_request": false,
        "allow_origin": "off",
        "allow_origin_domain": []
      }
    ],
    "status_ignore_set_cookie": false,
    "status_mobile_request_header": false,
    "status_mobile_redirect": false,
    "status_mr_force_user_agent": false,
    "status_mr_keep_path": null,
    "mr_type": null,
    "mr_url": null,
    "cookie_base_cache_status": false,
    "cookie_base_cache": [],
    "allow_cookie_base_cache_status": false,
    "allow_cookie_base_cache": [],
    "exclude_cache": [],
    "status_proxy_cache_key_prefix": false,
    "status_network_rate_limit": false,
    "network_rate_limit": {
      "rate_limit": 0,
      "rate_limit_unit": "m",
      "rate_limit_after": 0,
      "rate_limit_after_unit": "m"
    },
    "status_range_based_caching": false,
    "range_based_caching_value": "512k"
  }
}

Update Gzip Text Compression

put

Enable or disable Gzip Text Compression for the specified resource. This setting is supported for Small, Large, and Dynamic (Aksela) resource types.

Note: The resource_uuid value in the request body must match the {resource_uuid} path parameter.

Path parameters
organization_uuidstringRequired

Organization UUID.

resource_uuidstringRequired

Resource UUID.

Body
or
Responses
200

Gzip Text Compression setting updated successfully.

application/json
statusbooleanOptional

Indicates whether the operation was successful.

Example: true
put/api/v1/cdn/{organization_uuid}/resource/{resource_uuid}
PUT /api/v1/cdn/{organization_uuid}/resource/{resource_uuid} HTTP/1.1
Host: cloud.medianova.com
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "gzip_text": true,
  "resource_uuid": "****-****-****-****"
}
200

Gzip Text Compression setting updated successfully.

{
  "status": true,
  "data": {
    "resource_uuid": "****-****-****-*****",
    "resource_name": "test.sm",
    "resource_type": "small",
    "resource_label": null,
    "resource_platform_type": "cache",
    "cdn_url": "test.sm.mncdn.com",
    "protocol": "",
    "origin_url": null,
    "origin_type": "mainstream",
    "origin_settings": [
      {
        "id": 1,
        "weight": 50,
        "priority": "primary",
        "protocol": "http",
        "http_port": 80,
        "https_port": 443,
        "origin_url": "ascascasc.com",
        "host_header": null
      }
    ],
    "advanced_origin_settings": [],
    "status": "active",
    "updating_status": "up_to_date",
    "created_at": "2025-08-06T11:39:51.000000Z",
    "updated_at": "2025-08-07T10:40:46.000000Z",
    "ssl_status": true,
    "ssl_type": "shared_ssl",
    "ssl_uuid": null,
    "ssl_name": null,
    "status_geo_blocking": false,
    "geo_blocking_details": {
      "type": "allow",
      "status": true,
      "label": "",
      "geo_block_403_url": "",
      "method": "default",
      "whitelist_ip": [],
      "blacklist_ip": [],
      "whitelist_countries": [],
      "blacklist_countries": [],
      "start_date": "",
      "end_date": "",
      "pull_from_origin_header": false
    },
    "status_ip_restriction_acl": 0,
    "ip_restriction_acl": [],
    "data_source": "origin",
    "origin_response_timeout": 30,
    "tls_version": [
      "tlsv1.2",
      "tlsv1.3"
    ],
    "origin_sni_request_status": false,
    "origin_sni_request_domain": null,
    "status_http3_support": false,
    "server_name": null,
    "http2": true,
    "cname": [],
    "brotli": false,
    "origin_host_header": [],
    "origin_source_auth_info": {
      "status": false,
      "auth_username": "",
      "auth_password": ""
    },
    "status_secure_token": false,
    "secure_token": "",
    "secure_token_uri": false,
    "secure_token_network_rate_limit_bypass": false,
    "status_share_cache": "default",
    "share_cache": null,
    "status_x_cdn_header": false,
    "wss_status": false,
    "wss_timeout": null,
    "x_cdn_header": null,
    "status_full_purge_permission": false,
    "status_user_agent_acl": false,
    "user_agent_acl": [],
    "stale_caching": [
      "error",
      "timeout",
      "invalid_header",
      "http_500",
      "http_502",
      "http_503",
      "http_504"
    ],
    "browser_cache_rules": [
      {
        "id": 1,
        "type": "all_files",
        "content": [],
        "priority": 1,
        "directive": [],
        "cache_mode": "origin",
        "exact_match": false
      }
    ],
    "browser_cache_with_html": 0,
    "custom_error_pages_status": false,
    "custom_error_pages": [],
    "status_https_force": false,
    "https_force_redirect_code": "302",
    "force_https_reverse": false,
    "status_redirect_handle": false,
    "handle_origin_rejection_error": null,
    "redirect_handle_request_headers": [],
    "redirect_handle_add_headers": [],
    "gzip_text_types": [
      "text/x-component",
      "application/octet-stream",
      "text/plain",
      "text/css",
      "application/javascript",
      "application/x-javascript",
      "application/json",
      "text/xml",
      "application/xml",
      "application/rss+xml",
      "text/javascript",
      "application/atom+xml",
      "application/rdf+xml",
      "application/vnd.ms-fontobject",
      "application/x-font",
      "application/x-font-opentype",
      "application/x-font-otf",
      "application/x-font-truetype",
      "application/x-font-ttf",
      "application/xhtml+xml",
      "font/opentype",
      "font/otf",
      "font/ttf",
      "image/svg+xml",
      "image/x-icon",
      "application/x-www-form-urlencoded",
      "font/woff",
      "font/woff2",
      "application/dash+xml",
      "application/x-mpegURL"
    ],
    "gzip_image_types": [
      "image/png",
      "image/gif",
      "image/jpeg"
    ],
    "brotli_types": [
      "text/plain",
      "text/css",
      "application/javascript",
      "application/x-javascript",
      "application/json",
      "text/xml",
      "application/xml",
      "application/rss+xml",
      "text/javascript",
      "application/atom+xml",
      "application/rdf+xml",
      "application/vnd.ms-fontobject",
      "application/x-font",
      "application/x-font-opentype",
      "application/x-font-otf",
      "application/x-font-truetype",
      "application/x-font-ttf",
      "application/xhtml+xml",
      "font/opentype",
      "font/otf",
      "font/ttf",
      "text/x-component",
      "application/octet-stream",
      "application/x-www-form-urlencoded",
      "font/woff",
      "font/woff2",
      "image/svg+xml"
    ],
    "rewrite_origin_settings": [],
    "status_code_cache": [],
    "status_etag_verification": true,
    "etag_verification_type": "default",
    "status_rate_limit": false,
    "rate_limit": {
      "zone_size": 1,
      "request_count": 200,
      "request_type": "s",
      "options": "no_delay",
      "burst_value": 50,
      "source": "remote_addr",
      "source_query_string": null,
      "status_whitelist_ips": false,
      "whitelist_ips": null,
      "status_code": 429
    },
    "shared_domain": false,
    "collapse_white_space": false,
    "insert_dns_prefetch": false,
    "defer_javascript": false,
    "remove_comments": false,
    "rewrite_css": false,
    "combine_css": false,
    "rewrite_js": false,
    "combine_js": false,
    "convert_meta_tags": false,
    "inline_import_to_link": false,
    "encrypted_cache_key": false,
    "http_two_push_status": true,
    "http_two_push_uri": [],
    "status_bot_protection": false,
    "gzip_text": false,
    "gzip_image": false,
    "image_optimization": false,
    "webp": false,
    "avif": false,
    "cache_type": "edge",
    "edge_cache_expiry": 8,
    "edge_cache_unit": "d",
    "status_browser_cache": true,
    "browser_cache_expiry": 1,
    "browser_cache_unit": "origin",
    "browser_cache_time_with_html": false,
    "cache_control_directive": [],
    "status_qs": "on",
    "status_qs_cache_ignore": false,
    "qs_cache_ignore_param": [],
    "status_cqs": false,
    "cqs_args": [],
    "status_robot_txt": "origin",
    "status_redirect_root": false,
    "redirect_root_code": false,
    "status_cors_header": "off",
    "dynamic_page_cache": false,
    "cors_domains": [],
    "status_custom_headers": false,
    "custom_headers": [],
    "status_x_xss_protection": false,
    "status_x_content_type": false,
    "status_hsts_protection": false,
    "include_sub_domains": false,
    "preload": false,
    "max_age_time": "3600",
    "trusted_domains": [],
    "status_hl_protection": false,
    "hl_protection_type": "whitelist",
    "hl_protection_domains": [],
    "include_blank_referer": true,
    "default_rule_geo_blocking_status": false,
    "status_x_frame": false,
    "40x_cache_expiry": null,
    "40x_cache_unit": null,
    "50x_cache_expiry": null,
    "50x_cache_unit": null,
    "status_file_extension": true,
    "page_rule": [
      {
        "rule_id": 1,
        "file_path": "",
        "file_extension": [
          "woff",
          "woff2",
          "ttf",
          "svg",
          "eot",
          "otf"
        ],
        "sec_link_status": true,
        "exact_match": false,
        "status_hl_protection": true,
        "hl_protection_used_type": "default",
        "hl_protection_type": "whitelist",
        "hl_protection_domains": [],
        "include_blank_referer": true,
        "geo_block": true,
        "cache_type": "edge",
        "edge_cache_expiry": 8,
        "edge_cache_unit": "d",
        "custom_header_status": true,
        "custom_header_used_type": "default",
        "custom_header": [],
        "downloadable_query_string_header_status": false,
        "downloadable_query_string_header": [],
        "security_headers": true,
        "security_header_used_type": "default",
        "security_header_details": {
          "x_xss_protection": false,
          "http_strict_transport_security": false,
          "x_frame_options": false,
          "x_content_type_options": false,
          "trusted_domains": [],
          "max_age_time": "3600",
          "sub_domains": false,
          "preload": false
        },
        "status_range_based_caching": true,
        "range_based_caching_value": "512k",
        "status_qs": "on",
        "status_qs_cache_ignore": false,
        "qs_cache_ignore_param": [],
        "status_cqs": false,
        "cqs_args": [],
        "options_request": false,
        "allow_origin": "off",
        "allow_origin_domain": []
      }
    ],
    "status_ignore_set_cookie": false,
    "status_mobile_request_header": false,
    "status_mobile_redirect": false,
    "status_mr_force_user_agent": false,
    "status_mr_keep_path": null,
    "mr_type": null,
    "mr_url": null,
    "cookie_base_cache_status": false,
    "cookie_base_cache": [],
    "allow_cookie_base_cache_status": false,
    "allow_cookie_base_cache": [],
    "exclude_cache": [],
    "status_proxy_cache_key_prefix": false,
    "status_network_rate_limit": false,
    "network_rate_limit": {
      "rate_limit": 0,
      "rate_limit_unit": "m",
      "rate_limit_after": 0,
      "rate_limit_after_unit": "m"
    },
    "status_range_based_caching": false,
    "range_based_caching_value": "512k"
  }
}

Last updated

Was this helpful?